diff -r f6ef988fda71 trytond/tests/test_fields.py
--- a/trytond/tests/test_fields.py	Fri Sep 21 16:04:02 2012 +0200
+++ b/trytond/tests/test_fields.py	Sun Sep 23 17:30:03 2012 +0200
@@ -1117,261 +1058,248 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            for text in (self.text, self.text_translate):
-                text1_id = text.create({
+            for text in (self.text_translate, self.text):
+                text1 = text.create({
+                        'text': 'Test',
+                        })
+                self.assert_(text1)
+                self.assertEqual(text1.text, 'Test')
+
+                texts = text.search([
+                        ('text', '=', 'Test'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', '=', 'Foo'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', '=', None),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', '!=', 'Test'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', '!=', 'Foo'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', '!=', None),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'in', ['Test']),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'in', ['Foo']),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'in', [None]),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'in', []),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not in', ['Test']),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not in', ['Foo']),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'not in', [None]),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'not in', []),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'like', 'Test'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'like', 'T%'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'like', 'Foo'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'like', 'F%'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'ilike', 'test'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'ilike', 't%'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'ilike', 'foo'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'ilike', 'f%'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not like', 'Test'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not like', 'T%'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not like', 'Foo'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'not like', 'F%'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'not ilike', 'test'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not ilike', 't%'),
+                        ])
+                self.assertEqual(texts, [])
+
+                texts = text.search([
+                        ('text', 'not ilike', 'foo'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                texts = text.search([
+                        ('text', 'not ilike', 'f%'),
+                        ])
+                self.assertEqual(texts, [text1])
+
+                text2 = text.create({
+                        'text': None,
+                        })
+                self.assert_(text2)
+                self.assertEqual(text2.text, None)
+
+                texts = text.search([
+                        ('text', '=', None),
+                        ])
+                self.assertEqual(texts, [text2])
+
+                texts = text.search([
+                        ('text', 'in', [None, 'Test']),
+                        ])
+                self.assertEqual(texts, [text1, text2])
+
+                texts = text.search([
+                        ('text', 'not in', [None, 'Test']),
+                        ])
+                self.assertEqual(texts, [])
+
+            text3 = self.text.create({})
+            self.assert_(text3)
+            self.assertEqual(text3.text, None)
+
+            text4 = self.text_default.create({})
+            self.assert_(text4)
+            self.assertEqual(text4.text, 'Test')
+
+            self.text.write([text1], {
+                    'text': None,
+                    })
+            self.assertEqual(text1.text, None)
+
+            self.text.write([text2], {
                     'text': 'Test',
                     })
-                self.assert_(text1_id)
-
-                text1 = text.read(text1_id, ['text'])
-                self.assert_(text1['text'] == 'Test')
-
-                text_ids = text.search([
-                    ('text', '=', 'Test'),
+            self.assertEqual(text2.text, 'Test')
+
+            self.assertRaises(Exception, self.text_required.create, {})
+            transaction.cursor.rollback()
+
+            text5 = self.text_required.create({
+                    'text': 'Test',
+                    })
+            self.assert_(text5)
+
+            text6 = self.text_size.create({
+                    'text': 'Test',
+                    })
+            self.assert_(text6)
+
+            self.assertRaises(Exception, self.text_size.create, {
+                    'text': 'foobar',
+                    })
+
+            self.assertRaises(Exception, self.text_size.write, [text6], {
+                    'text': 'foobar',
+                    })
+
+            text7 = self.text.create({
+                    'text': 'Foo\nBar',
+                    })
+            self.assert_(text7)
+
+            text8 = self.text.create({
+                    'text': u'é',
+                    })
+            self.assert_(text8)
+            self.assertEqual(text8.text, u'é')
+
+            texts = self.text.search([
+                    ('text', '=', u'é'),
                     ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', '=', 'Foo'),
+            self.assertEqual(texts, [text8])
+
+            self.text.write([text8], {
+                    'text': 'é',
+                    })
+            self.assertEqual(text8.text, u'é')
+
+            texts = self.text.search([
+                    ('text', '=', 'é'),
                     ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', '=', False),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', '!=', 'Test'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', '!=', 'Foo'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', '!=', False),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'in', ['Test']),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'in', ['Foo']),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'in', [False]),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'in', []),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not in', ['Test']),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not in', ['Foo']),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'not in', [False]),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'not in', []),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'like', 'Test'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'like', 'T%'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'like', 'Foo'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'like', 'F%'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'ilike', 'test'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'ilike', 't%'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'ilike', 'foo'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'ilike', 'f%'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not like', 'Test'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not like', 'T%'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not like', 'Foo'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'not like', 'F%'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'not ilike', 'test'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not ilike', 't%'),
-                    ])
-                self.assert_(text_ids == [])
-
-                text_ids = text.search([
-                    ('text', 'not ilike', 'foo'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text_ids = text.search([
-                    ('text', 'not ilike', 'f%'),
-                    ])
-                self.assert_(text_ids == [text1_id])
-
-                text2_id = text.create({
-                    'text': None,
-                    })
-                self.assert_(text2_id)
-
-                text2 = text.read(text2_id, ['text'])
-                self.assert_(text2['text'] == None)
-
-                text_ids = text.search([
-                    ('text', '=', False),
-                    ])
-                self.assert_(text_ids == [text2_id])
-
-                text_ids = text.search([
-                    ('text', 'in', [False, 'Test']),
-                    ])
-                self.assert_(text_ids == [text1_id, text2_id])
-
-                text_ids = text.search([
-                    ('text', 'not in', [False, 'Test']),
-                    ])
-                self.assert_(text_ids == [])
-
-            text3_id = self.text.create({})
-            self.assert_(text3_id)
-
-            text3 = self.text.read(text3_id, ['text'])
-            self.assert_(text3['text'] == None)
-
-            text4_id = self.text_default.create({})
-            self.assert_(text4_id)
-
-            text4 = self.text_default.read(text4_id, ['text'])
-            self.assert_(text4['text'] == 'Test')
-
-            self.text.write(text1_id, {
-                'text': None,
-                })
-            text1 = self.text.read(text1_id, ['text'])
-            self.assert_(text1['text'] == None)
-
-            self.text.write(text2_id, {
-                'text': 'Test',
-                })
-            text2 = self.text.read(text2_id, ['text'])
-            self.assert_(text2['text'] == 'Test')
-
-            self.failUnlessRaises(Exception, self.text_required.create, {})
-            transaction.cursor.rollback()
-
-            text5_id = self.text_required.create({
-                'text': 'Test',
-                })
-            self.assert_(text5_id)
-
-            text6_id = self.text_size.create({
-                'text': 'Test',
-                })
-            self.assert_(text6_id)
-
-            self.failUnlessRaises(Exception, self.text_size.create, {
-                'text': 'foobar',
-                })
-
-            self.failUnlessRaises(Exception, self.text_size.write, text6_id, {
-                'text': 'foobar',
-                })
-
-            text7_id = self.text.create({
-                'text': 'Foo\nBar',
-                })
-            self.assert_(text7_id)
-
-            text8_id = self.text.create({
-                'text': u'é',
-                })
-            self.assert_(text8_id)
-
-            text8 = self.text.read(text8_id, ['text'])
-            self.assert_(text8['text'] == u'é')
-
-            text_ids = self.text.search([
-                ('text', '=', u'é'),
-                ])
-            self.assert_(text_ids == [text8_id])
-
-            self.text.write(text8_id, {
-                'text': 'é',
-                })
-            text8 = self.text.read(text8_id, ['text'])
-            self.assert_(text8['text'] == u'é')
-
-            text_ids = self.text.search([
-                ('text', '=', 'é'),
-                ])
-            self.assert_(text_ids == [text8_id])
+            self.assertEqual(texts, [text8])
 
             transaction.cursor.rollback()
 
@@ -1381,202 +1309,189 @@
         '''
         with Transaction().start(DB_NAME, USER,
                 context=CONTEXT) as transaction:
-            sha1_id = self.sha.create({
-                'sha': 'Test',
-                })
-            self.assert_(sha1_id)
-
-            sha1 = self.sha.read(sha1_id, ['sha'])
-            self.assertEqual(sha1['sha'],
+            sha1 = self.sha.create({
+                    'sha': 'Test',
+                    })
+            self.assert_(sha1)
+            self.assertEqual(sha1.sha,
                 '640ab2bae07bedc4c163f679a746f7ab7fb5d1fa')
 
-            sha_ids = self.sha.search([
-                ('sha', '=', 'Test'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', '=', 'Foo'),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', '=', False),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', '!=', 'Test'),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', '!=', 'Foo'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', '!=', False),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'in', ['Test']),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'in', ['Foo']),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'in', [False]),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'in', []),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not in', ['Test']),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not in', ['Foo']),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not in', [False]),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not in', []),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'like', 'Test'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'like', 'Foo'),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'ilike', 'Test'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'ilike', 'foo'),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not like', 'Test'),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not like', 'Foo'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not ilike', 'foo'),
-                ])
-            self.assert_(sha_ids == [sha1_id])
-
-            sha2_id = self.sha.create({
-                'sha': None,
-                })
-            self.assert_(sha2_id)
-
-            sha2 = self.sha.read(sha2_id, ['sha'])
-            self.assert_(sha2['sha'] == None)
-
-            sha_ids = self.sha.search([
-                ('sha', '=', False),
-                ])
-            self.assert_(sha_ids == [sha2_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'in', [False, 'Test']),
-                ])
-            self.assert_(sha_ids == [sha1_id, sha2_id])
-
-            sha_ids = self.sha.search([
-                ('sha', 'not in', [False, 'Test']),
-                ])
-            self.assert_(sha_ids == [])
-
-            sha3_id = self.sha.create({})
-            self.assert_(sha3_id)
-
-            sha3 = self.sha.read(sha3_id, ['sha'])
-            self.assert_(sha3['sha'] == None)
-
-            sha4_id = self.sha_default.create({})
-            self.assert_(sha4_id)
-
-            sha4 = self.sha_default.read(sha4_id, ['sha'])
-            self.assertEqual(sha4['sha'],
+            sha = self.sha.search([
+                    ('sha', '=', 'Test'),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', '=', 'Foo'),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', '=', None),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', '!=', 'Test'),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', '!=', 'Foo'),
+                    ])
+            self.assert_(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', '!=', None),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'in', ['Test']),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'in', ['Foo']),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'in', [None]),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'in', []),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'not in', ['Test']),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'not in', ['Foo']),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'not in', [None]),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'not in', []),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'like', 'Test'),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'like', 'Foo'),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'ilike', 'Test'),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'ilike', 'foo'),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'not like', 'Test'),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha = self.sha.search([
+                    ('sha', 'not like', 'Foo'),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha = self.sha.search([
+                    ('sha', 'not ilike', 'foo'),
+                    ])
+            self.assertEqual(sha, [sha1])
+
+            sha2 = self.sha.create({
+                    'sha': None,
+                    })
+            self.assert_(sha2)
+            self.assertEqual(sha2.sha, None)
+
+            sha = self.sha.search([
+                    ('sha', '=', None),
+                    ])
+            self.assertEqual(sha, [sha2])
+
+            sha = self.sha.search([
+                    ('sha', 'in', [None, 'Test']),
+                    ])
+            self.assertEqual(sha, [sha1, sha2])
+
+            sha = self.sha.search([
+                    ('sha', 'not in', [None, 'Test']),
+                    ])
+            self.assertEqual(sha, [])
+
+            sha3 = self.sha.create({})
+            self.assert_(sha3)
+            self.assertEqual(sha3.sha, None)
+
+            sha4 = self.sha_default.create({})
+            self.assert_(sha4)
+            self.assertEqual(sha4.sha,
                 'ba79baeb9f10896a46ae74715271b7f586e74640')
 
-            self.sha.write(sha1_id, {
-                'sha': None,
-                })
-            sha1 = self.sha.read(sha1_id, ['sha'])
-            self.assert_(sha1['sha'] == None)
-
-            self.sha.write(sha2_id, {
-                'sha': 'Test',
-                })
-            sha2 = self.sha.read(sha2_id, ['sha'])
-            self.assertEqual(sha2['sha'],
+            self.sha.write([sha1], {
+                    'sha': None,
+                    })
+            self.assertEqual(sha1.sha, None)
+
+            self.sha.write([sha2], {
+                    'sha': 'Test',
+                    })
+            self.assertEqual(sha2.sha,
                 '640ab2bae07bedc4c163f679a746f7ab7fb5d1fa')
 
-            self.failUnlessRaises(Exception, self.sha_required.create, {})
+            self.assertRaises(Exception, self.sha_required.create, {})
             transaction.cursor.rollback()
 
-            sha5_id = self.sha_required.create({
-                'sha': 'Test',
-                })
-            self.assert_(sha5_id)
-
-            sha6_id = self.sha.create({
-                'sha': u'é',
-                })
-            self.assert_(sha6_id)
-
-            sha6 = self.sha.read(sha6_id, ['sha'])
-            self.assert_(sha6['sha'] ==
-                    u'bf15be717ac1b080b4f1c456692825891ff5073d')
-
-            sha_ids = self.sha.search([
-                ('sha', '=', u'é'),
-                ])
-            self.assert_(sha_ids == [sha6_id])
-
-            self.sha.write(sha6_id, {
-                'sha': 'é',
-                })
-            sha6 = self.sha.read(sha6_id, ['sha'])
-            self.assert_(sha6['sha'] ==
-                    u'bf15be717ac1b080b4f1c456692825891ff5073d')
-
-            sha_ids = self.sha.search([
-                ('sha', '=', 'é'),
-                ])
-            self.assert_(sha_ids == [sha6_id])
+            sha5 = self.sha_required.create({
+                    'sha': 'Test',
+                    })
+            self.assert_(sha5)
+
+            sha6 = self.sha.create({
+                    'sha': u'é',
+                    })
+            self.assert_(sha6)
+            self.assertEqual(sha6.sha,
+                u'bf15be717ac1b080b4f1c456692825891ff5073d')
+
+            sha = self.sha.search([
+                    ('sha', '=', u'é'),
+                    ])
+            self.assertEqual(sha, [sha6])
+
+            self.sha.write([sha6], {
+                    'sha': 'é',
+                    })
+            self.assertEqual(sha6.sha,
+                u'bf15be717ac1b080b4f1c456692825891ff5073d')
+
+            sha = self.sha.search([
+                    ('sha', '=', 'é'),
+                    ])
+            self.assertEqual(sha, [sha6])
 
             transaction.cursor.rollback()
 
